org.apache.tinkerpop.gremlin.server.handler

## Class AbstractAuthenticationHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler
  Direct Known Subclasses:
    HttpBasicAuthenticationHandler, SaslAuthenticationHandler

      public abstract class AbstractAuthenticationHandler
      extends io.netty.channel.ChannelInboundHandlerAdapter

  Provides an abstraction point to allow for http auth schemes beyond basic auth.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Authenticator` | `authenticator`
    `protected Authorizer` | `authorizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAuthenticationHandler(Authenticator authenticator)` Deprecated. As of release 3.5.0, replaced by `AbstractAuthenticationHandler(Authenticator, Authorizer)`.
    `AbstractAuthenticationHandler(Authenticator authenticator, Authorizer authorizer)`

  - ### Method Summary

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelRead, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Field Detail

    - #### authenticator

          protected final Authenticator authenticator

    - #### authorizer

          protected final Authorizer authorizer

  - ### Constructor Detail

    - #### AbstractAuthenticationHandler

          @Deprecated
          public AbstractAuthenticationHandler(Authenticator authenticator)

      Deprecated. As of release 3.5.0, replaced by `AbstractAuthenticationHandler(Authenticator, Authorizer)`.

    - #### AbstractAuthenticationHandler

          public AbstractAuthenticationHandler(Authenticator authenticator,
                                               Authorizer authorizer)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.